Smart Proxy - Bug #2714

foreman-proxy: | receives Error when initiates Puppet runs via the MCollective
06/26/2013 04:04 AM - Peter Gustafsson

Status: Closed
Priority: Normal
Assignee:

Category: Puppet
Target version: 1.2.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description
Hi,

When i initiates Puppet runs via the MCollective i get ["failed to execute puppetrun: 500 Internal Server Error"] in the foreman webUI
and i can see this in the proxy log:

E, [2013-06-26T10:02:15.005985 #19889] ERROR -- : Exception 'can't convert Array into String' when executing
'fusr/bin/sudo/usr/bin/mcopuppetrunonce-ltest01.nix.example.com’
E, [2013-06-26T10:02:15.006767 #19889] ERROR -- : Failed puppet run: Check Log files

Br, Peter

Associated revisions

Revision 61394852 - 06/27/2013 01:49 PM - Dmitri Dolguikh
Fixes #2714 - corrected I0#popen parameter on ruby 1.8.7

Revision b1db26¢c0 - 07/01/2013 11:49 AM - Dmitri Dolguikh
Fixes #2714 - corrected 10#popen parameter on ruby 1.8.7
(cherry picked from commit 61394852e191756fc5eea0a92d581cf1dca39f21)

History

#1 - 06/26/2013 04:05 AM - Dominic Cleal
- Project changed from Foreman to Smart Proxy
- Status changed from New to Assigned

- Assignee set to Anonymous
#2 - 06/26/2013 04:05 AM - Peter Gustafsson
i'm using foreman-proxy 1.2 RC3

1. rpm -g foreman-proxy
foreman-proxy-1.2.0-0.3.RC3.el6.noarch

#3 - 06/26/2013 04:06 AM - Dominic Cleal

Dmitri, would you mind having a look again? Maybe something wrong with the 10.popen in shell_command? | suspect this might be a Ruby 1.8 issue
as the proxy isn't SCL'd.

#4 - 06/26/2013 04:12 AM - Dominic Cleal

- Target version set to 1.2.0

1.9.3p392 :002 > IO.popen(["echo", "test"])
=> #<IO:fd 5>

1.8.7 :001 > IO.popen(["echo", "test"])
https://projects.theforeman.org/issues/19889
https://projects.theforeman.org/issues/19889

TypeError: can't convert Array into String
from (irb):1:in “popen'
from (irb):1

sigh.

#5 - 06/26/2013 04:13 AM - Dominic Cleal

- Category set to Puppet

#6 - 06/26/2013 06:15 AM - Anonymous
- Status changed from Assigned to Ready For Testing

PR:https://github.com/theforeman/smart-proxy/pull/99

#7 - 06/26/2013 09:54 AM - Peter Gustafsson

Above PR works for me.
Br, Peter
#8 - 06/27/2013 02:18 PM - Anonymous

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 61394852e191756fc5eea0a92d581cf1dcald9f21.

#9 - 07/10/2018 02:46 PM - Greg Sutcliffe
- Target version deleted (1.2.0)
